package MyApp::DB::Schema::Result::Counter;
use strict;
use warnings;

use parent qw/DBIx::Class::Core/;

__PACKAGE__->table('counter');
__PACKAGE__->add_columns(qw/id count/);
__PACKAGE__->set_primary_key('id');

sub increment {
    my ($self, $count) = @_;
    $count ||= 1;
    $self->count($self->count + $count);
}

1;
