# flight_manager

第3節「Aniki ── これまでになかった抽象度を実現したO/Rマッパ」のスキーマとそれを利用したサンプルコードです。

```
.
├── README.md
├── generate-schema.sh
├── lib
│   └── MyApp
│       ├── DB
│       │   ├── Filter.pm
│       │   ├── Result.pm
│       │   ├── Row.pm
│       │   └── Schema.pm
│       └── DB.pm
├── search-route.pl
└── setup-fixtures.pl

3 directories, 9 files
```

## セットアップ

```bash
mysqladmin -uroot create myappdb
./generate-schema.sh | mysql -uroot myappdb
perl setup-fixtures.pl
```
