use strict;
use warnings;

use FindBin;
use lib "$FindBin::Bin/lib";
use MyApp::DB::Schema;

my $schema = MyApp::DB::Schema->connect('dbi:mysql:dbname=myappdb', 'root', '', {
    RaiseError => 1,
});

$schema->txn_do(sub {
    my $rs = $schema->resultset('Counter');

    my $counter = $rs->find(1, { for => 'update' });
    $counter->increment(1);
    $counter->update();
});
